Subject: Re: bug#32030: 27.0.50; debug-on-signal, void-variable
From: Stefan Kangas <[email-masked]>
To: Noam Postavsky <[email-masked]>
Cc: Brady Trainor <[email-masked]>, [email-masked]
Date: Wed, 21 Aug 2019 04:22:19 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Noam Postavsky <[email-masked]> writes:

> forwarded 32030 https://github.com/nex3/dart-mode/issues/30
> quit
>
> On 2 July 2018 at 01:38, Noam Postavsky <[email-masked]> wrote:
>
>> If this is getting called from redisplay, I think the debugger might be
>> suppressed from that context, even if you set debug-on-signal.  I seem
>> to recall triggerring refontification synchronously with M-o M-o
>> (font-lock-fontify-block) worked for me in a similar situation (although
>> it's possible you won't hit the error this way).
>
> I can get a backtrace this way, I posted to the dart-mode issue:
>
> https://github.com/nex3/dart-mode/issues/30#issuecomment-403521238

This issue seems to not be related to a third party package (and the
link to the issue in the dart-mode issue tracker has additionally now
been fixed).  I'm therefore closing this bug report.

Thanks,
Stefan Kangas